co_context.h File Reference
`#include <ucontext.h>`
`#include <sys/mman.h>`
`#include "governor.h"`
Include dependency graph for co_context.h:

Go to the source code of this file.

## Classes

struct | tbb::internal::coroutine_type
class | tbb::internal::co_context

## Namespaces

| tbb
| The graph class.
| tbb::internal
| Identifiers declared inside namespace internal should never be used directly by client code.

## Macros

#define | MAP_STACK 0
#define | MAP_ANONYMOUS MAP_ANON

## Functions

void | tbb::internal::create_coroutine (coroutine_type &c, size_t stack_size, void *arg)
void | tbb::internal::current_coroutine (coroutine_type &c)
void | tbb::internal::swap_coroutine (coroutine_type &prev_coroutine, coroutine_type &new_coroutine)
void | tbb::internal::destroy_coroutine (coroutine_type &c)
void | tbb::internal::co_local_wait_for_all (void *)

## Macro Definition Documentation

## MAP_ANONYMOUS

#define MAP_ANONYMOUS MAP_ANON

Definition at line 49 of file co_context.h.

## MAP_STACK

#define MAP_STACK 0

Definition at line 45 of file co_context.h.

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.